#### D.13.2.29 linealityDimension

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  linealityDimension(c); c cone
  linealityDimension(f); f fan

Return:
  int, the dimension of the lineality space of c resp f

Example:

    LIB "gfan.lib";
    intmat M1[3][3]=
    1,0,0,
    0,1,0,
    0,0,1;
    cone c1=coneViaPoints(M1);
    linealityDimension(c1);
    ==> 0
    intmat M2[4][3]=
    1,0,0,
    0,1,0,
    0,0,1,
    -1,0,0;
    cone c2=coneViaPoints(M2);
    linealityDimension(c2);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.